DCMTK - Bug #651

DCMTK Snapshots do not build on Mac (XCode) due to BUILD_DATE escaping
2015-07-20 16:24 - Michael Onken

Status: Closed Start date: 2015-07-20
Priority: Normal Due date:

Assignee: Jan Schlamelcher % Done: 0%
Category: Configuration Estimated time: 0:00 hour
Target version: 3.6.2

Module: CMake Compiler: XCode
Operating System: Mac OS X

Description
DCMTK Snapshots do not build on Mac since the BUILD_DATE string is not escaped properly when generating Xcode project files.

See forum posting

History

#1 - 2015-07-20 16:28 - Michael Onken
CMake Policy CMP0005 doesn't seem to do the trick

#2 - 2016-11-25 08:12 - Michael Onken

- Assignee set to Michael Onken

#3 - 2016-11-29 11:20 - J6rg Riesmeier
- Category set to Configuration

- Target version set to 3.6.2

- Module set to CMake

- Operating System set to Mac OS X

- Compiler set to XCode

#4 - 2017-03-14 16:34 - Jan Schlamelcher

- Assignee changed from Michael Onken to Jan Schlamelcher

#5 - 2017-03-15 15:41 - Jan Schlamelcher

- Status changed from New to Closed

Fixed in commit #b0e51df2010
http://forum.dcmtk.org/viewtopic.php?f=1&t=4248
http://www.cmake.org/cmake/help/v3.2/policy/CMP0005.html
http://www.tcpdf.org

